Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027562
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-09-09 10:552014-12-30 23:28
ReporterngarciaView Statuspublic 
Assigned Toreinaldoguerra 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revision3dc87d15fe47
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027562: Taxable amount of 0 for not stocked bom lines and a tax rate with Alternate Tax Base Amount

DescriptionTaxable amount of 0 for not stocked bom lines and a tax rate with Alternate Tax Base Amount
Steps To ReproduceAs group admin role:
   Create a new product, set it as Stocked = 'N' and Bill of materials = 'Y'
   Add at least one product (with a price different from 0) in the Bill Of Materials tab and Verify BOM
   Change the base amount of 'Entregas IVA 21%' tax rate to Alternate Tax Base Amount
   Create a Sales Order and add the previously created product to it. Check that both when you explode the lines through the process button and when you book the sales order without exploding them, the taxable and tax amount in the Line Tax tab is 0 for exploded lines
   The same happens in Sales Invoice window
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0028560 closedSandrahuguet Cannot modify the alternate taxable amount of invoice and order lines 

-  Notes
(0071621)
reinaldoguerra (developer)
2014-11-13 01:08

Test plan used:
1- Login into Openbravo ERP
2- Go to product window and create a new one
3- Set it as Stocked = 'N' and Bill of materials = 'Y'
4- Go to price tab and add a sales price list version for example: tarifa de ventas. Define a product price.
5- Add at least one product (with a price different from 0 for example Cola 0,5L) in the Bill Of Materials tab
6- Click on Verify BOM button
7- Select "Entregas IVA 21%" record in tax rate window
8- Change the base amount value to Alternate Tax Base Amount
9- Create a new Sales Order, go to lines tab and add the previously created product. Also select Entregas IVA 21% as tax.
10- Execute Explode process and note that a new line is added for BOM product
11- Select it, go to Line tax tab and realize that taxable and tax amounts are properly calculated.
12- Create a new sales order under the same circunstances but now do not execute explode process
13- Execute book process and realize that for the BOM produect line, taxable and tax amounts fields are properly calculated.

14- Now create a new sales invoice, go to lines tab and add the previously created product. Also select Entregas IVA 21% as tax.
15- Execute Explode process and note that a new line is added for BOM product
16- Select it, go to Line tax tab and realize that taxable and tax amounts are properly calculated.
17- Create a new sales invoice under the same circunstances but now do not execute explode process
18- Complete it and realize that for the BOM produect line, taxable and tax amounts fields are properly calculated.
(0072651)
hgbot (developer)
2014-12-17 16:54

Repository: erp/devel/pi
Changeset: 3dc87d15fe4707ce523e1dd95d909c6cb2d320f7
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Tue Nov 11 19:11:47 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/3dc87d15fe4707ce523e1dd95d909c6cb2d320f7 [^]

Fixed bug 27562: Taxable amount for not stocked bom lines is not calculated.

Sales order and invoice saving trigger's logic was changed to set Alternate Taxable Amount value, in tax rates defined as Alternate Tax Base Amount.
Now when explode or book processes are executed for BOM line products, the new lines are inserted with the Alternate Taxable Amount value well defined, so taxable and tax amounts are properly calculated.

---
M src-db/database/model/triggers/C_INVLINE_CHK_RESTRICTIONS_TRG.xml
M src-db/database/model/triggers/C_ORDERLINE_TRG.xml
---
(0072652)
Sandrahuguet (developer)
2014-12-17 16:55

Code review + testing OK
(0073236)
hudsonbot (developer)
2014-12-30 23:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-09-09 10:55 ngarcia New Issue
2014-09-09 10:55 ngarcia Assigned To => jonalegriaesarte
2014-09-09 10:55 ngarcia Modules => Core
2014-09-09 10:55 ngarcia Triggers an Emergency Pack => No
2014-09-09 10:56 ngarcia Issue Monitored: networkb
2014-09-10 17:09 heccam Issue Monitored: heccam
2014-09-22 16:36 jonalegriaesarte Target Version => 3.0PR15Q1
2014-10-06 16:32 jonalegriaesarte Assigned To jonalegriaesarte => AtulOpenbravo
2014-11-11 16:50 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-11-11 16:50 reinaldoguerra Status new => scheduled
2014-11-13 01:08 reinaldoguerra Note Added: 0071621
2014-12-17 16:54 hgbot Checkin
2014-12-17 16:54 hgbot Note Added: 0072651
2014-12-17 16:54 hgbot Status scheduled => resolved
2014-12-17 16:54 hgbot Resolution open => fixed
2014-12-17 16:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3dc87d15fe4707ce523e1dd95d909c6cb2d320f7 [^]
2014-12-17 16:55 Sandrahuguet Review Assigned To => Sandrahuguet
2014-12-17 16:55 Sandrahuguet Note Added: 0072652
2014-12-17 16:55 Sandrahuguet Status resolved => closed
2014-12-17 16:55 Sandrahuguet Fixed in Version => 3.0PR15Q1
2014-12-30 23:28 hudsonbot Checkin
2014-12-30 23:28 hudsonbot Note Added: 0073236
2015-01-12 11:00 ngarcia Relationship added causes 0028560


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker